org.eclipse.microprofile.reactive.streams.operators.tck.api

## Class AbstractReactiveStreamsApiVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification

Direct Known Subclasses:
  CompletionRunnerVerification, ProcessorBuilderVerification, PublisherBuilderVerification, ReactiveStreamsVerification, SubscriberBuilderVerification

    public abstract class AbstractReactiveStreamsApiVerification
    extends java.lang.Object

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Constructor Summary

Constructors
Constructor and Description
`AbstractReactiveStreamsApiVerification(ReactiveStreamsFactory rs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `assertEmptyStage(Stage stage)`
`protected Graph` `graphFor(CompletionRunner<?> cr)`
`protected Graph` `graphFor(ProcessorBuilder<?,?> pb)`
`protected Graph` `graphFor(PublisherBuilder<?> pb)`
`protected Graph` `graphFor(SubscriberBuilder<?,?> sb)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Constructor Detail

#### AbstractReactiveStreamsApiVerification

    public AbstractReactiveStreamsApiVerification(ReactiveStreamsFactory rs)

### Method Detail

#### graphFor

    protected Graph graphFor(PublisherBuilder<?> pb)

#### graphFor

    protected Graph graphFor(SubscriberBuilder<?,?> sb)

#### graphFor

    protected Graph graphFor(ProcessorBuilder<?,?> pb)

#### graphFor

    protected Graph graphFor(CompletionRunner<?> cr)

#### assertEmptyStage

    protected void assertEmptyStage(Stage stage)